# XmGadget

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmGadget

## SYNOPSIS

#include <Xm/Gadget.h>

XmGadget

XmCreateGadget

## DESCRIPTION

XmGadget

## X RESOURCES

Name | Class | Type | Default | Access

XmNx | XmCPosition | HorizontalPosition | NULL | CSG
XmNy | XmCPosition | VerticalPosition | NULL | CSG
XmNwidth | XmCDimension | HorizontalDimension | NULL | CSG
XmNheight | XmCDimension | VerticalDimension | NULL | CSG
XmNborderWidth | XmCBorderWidth | HorizontalDimension | NULL | CSG
XmNtraversalOn | XmCTraversalOn | Boolean | NULL | CSG
XmNhighlightOnEnter | XmCHighlightOnEnter | Boolean | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG
XmNshadowThickness | XmCShadowThickness | HorizontalDimension | NULL | CSG
XmNunitType | XmCUnitType | UnitType | NULL | CSG
XmNnavigationType | XmCNavigationType | NavigationType | NULL | CSG
XmNhelpCallback | XmCCallback | Callback | NULL | CSG
XmNuserData | XmCUserData | Pointer | NULL | CSG

XmNx

XmNy

XmNwidth

XmNheight

XmNborderWidth

XmNtraversalOn

XmNhighlightOnEnter

XmNhighlightThickness

XmNshadowThickness

XmNunitType

XmNnavigationType

XmNhelpCallback

XmNuserData

## CLASS HIERARCHY

Object(3) Rect(3) XmGadget(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 22:45:31 GMT, January 14, 2000